Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

List object types (admin)

GET/object-types
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Responses
200
Array of ObjectTypeListItemDto
createdAtstringrequired
iconobject | nullrequired
idstringrequired
instanceCountnumberrequired
namestringrequired
slugstringrequired
sortnumberrequired
statusCountnumberrequired
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/object-types" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
[
  {
    "createdAt": "string",
    "icon": {},
    "id": "string",
    "instanceCount": 0,
    "name": "string",
    "slug": "string",
    "sort": 0,
    "statusCount": 0
  }
]